//
//   example code for driving a servo
//
//
//
//


#include <robot.h>
ServoRobot servo(2);  // servo plugged into servo port 2
RobotDrive d;

int pulse;

void setup()
{
    Serial.begin(57600);
}

void loop()
{
    while (Serial.available()) {
        char c = Serial.read();
        
        Serial.println(c);
        if (c >= '0' && c <= '9') {
           pulse = 255*(c-'0')/9;
        } else
        if (c == 's') {
            d.Stop();
        } else
        if (c == 'f') {
            d.Forwards();
        } else
        if (c == 'b') {
            d.Backwards();
        } else
        if (c == 'l') {
            d.Left();
        } else
        if (c == 'r') {
            d.Right();
        }
    }
    servo.Pulse(pulse);
    servo.InterPulse();
}


